# XmlHandler

class xsdata.formats.dataclass.parsers.mixins.XmlHandler(parser, clazz)

  Abstract content handler.

  Parameters

    - parser (`PushParser`) – The parser instance to feed with events

    - clazz (`Optional`[`Type`, `None`]) – The target binding model, auto located if omitted.

  parse(source)

    Parse an XML document from a system identifier or an InputSource.

    Return type

      `Any`

  merge_parent_namespaces(ns_map)

    Merge and return the given prefix-URI map with the parent node.

    Register new prefixes with the parser.

    Parameters

      ns_map (`Dict`) – Namespace prefix-URI map

    Return type

      `Dict`